INTERFACE
SUBROUTINE LARCINBAD(KSTGLO,KST,KPROF,LD2TLFF1,KDIM,KDEP,KLOCK,KL0,KLH0,&
 & PDLO,PCLO,PCLOSLD,PDLAT,PCLA,PCLASLD,PDVER,PVINTW,PVINTWSLD,PB1,PB15,&
 & PINC,KINC,KDIM1,KDIM2,&
 & PDP,PUF,PVF,PTF,PGFLF,PCF,PUFZ,PVFZ,&
 & PDLO5,PCLO5,PCLOSLD5,PDLAT5,PCLA5,PCLASLD5,PDVER5,PVINTW5,PVINTWSLD5) 
USE PARKIND1, ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN
USE YOM_YGFL , ONLY : YGFL ,YGFLC
USE YOMMP , ONLY : NASLB1
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB15
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
LOGICAL ,INTENT(IN) :: LD2TLFF1
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM
INTEGER(KIND=JPIM),INTENT(IN) :: KDEP(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLOCK(:)
INTEGER(KIND=JPIM),INTENT(IN) :: KL0(NPROMA,NFLEVG,0:3)
INTEGER(KIND=JPIM),INTENT(IN) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLO(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLOSLD(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLA(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLASLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTWSLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB15(NASLB1,NFLDSLB15)
INTEGER(KIND=JPIM),INTENT(OUT) :: KINC(KDIM1,KDIM2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PINC(KDIM1,KDIM2)
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM1
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM2
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLF(NPROMA,NFLEVG,YGFL%NUMFLDS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUFZ(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVFZ(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLO5(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLO5(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLOSLD5(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PDLAT5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLA5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLASLD5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PDVER5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTW5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PVINTWSLD5(NPROMA,NFLEVG,3)
END SUBROUTINE LARCINBAD
END INTERFACE
